package cn.com.victorysoft.business.indicator.dao;

import cn.com.victorysoft.business.indicator.entity.UnitMonth;
import cn.com.victorysoft.business.sys.param.UnitMonthParam;
import cn.com.victorysoft.business.sys.param.UnitMonthRangeParam;
import cn.com.victorysoft.business.sys.param.UnitcodeParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface UnitMonthDao {

    List<UnitMonth> selectListRange(UnitMonthRangeParam param);

    List<UnitMonth> selectMonthRange(UnitMonthRangeParam param);

    List<UnitMonth> selectListMonth(UnitMonthParam param);

    UnitMonth selectList12(UnitMonthRangeParam param);

    List<UnitMonth> selectList1(UnitMonthRangeParam param);

    UnitMonth selectUnitMonth(UnitMonthParam param);

    void syncUnitMonth(String month);

    UnitMonth selectByPrimaryKey(UnitMonth key);

    int insert(UnitMonth record);

    String selectUnitcode(UnitcodeParam key);

    int update(UnitMonth param);

    String selectCyc(UnitcodeParam key);

}
